package com.mobvcasting.camerameta;

import java.io.File;

import android.app.Activity;
import android.net.Uri;
import android.os.Bundle;
import android.os.Environment;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.EditText;
import android.widget.ImageView;
import android.widget.Toast;

public class AddDataAndSend extends Activity implements OnClickListener, HttpFilePosterObserver {

	ImageView imv;
    EditText titleText;

    HttpFilePoster poster;
	
	String imageFilename;
    File pictureFile;
    
	
    @Override
    public void onCreate(Bundle savedInstanceState) 
    {
        super.onCreate(savedInstanceState);

        // Get the data from the other activity 
        // We Put in like this
        	//bundle.putString("picture_filename", filename);
        
        // Get out like this
        Bundle extras = getIntent().getExtras();
        imageFilename = extras.getString("picture_filename"); 
    
        // Turn it into a File
        pictureFile = new File(Environment.getExternalStorageDirectory().getAbsolutePath() + "/" + imageFilename);
        
        setContentView(R.layout.other);
               
        Button submitButton = (Button) this.findViewById(R.id.Button01);
        imv = (ImageView) this.findViewById(R.id.ImageView01);
        
        // Set image
        // We have the file so let's set it from that..
        imv.setImageURI(Uri.fromFile(pictureFile));
        
        titleText = (EditText) this.findViewById(R.id.EditText01);
        
        submitButton.setOnClickListener(this);
        
    }
    
    // From the OnClickListener
    public void onClick(View v)
    {

    	// Get value from text input and Do the upload
        String[][] httpvars = {{"title",titleText.getText().toString()}};
        
        Toast t = Toast.makeText(this,titleText.getText().toString(),Toast.LENGTH_LONG);
		t.show();			
		
        poster = new HttpFilePoster("http://blahblah.com/slimhttpposter.php",imageFilename,"bytes",pictureFile,httpvars);
        poster.setObserver(this); // We implement HttpFilePosterObserver
        poster.startUpload();
    
    }
    
    // HttpFilePosterObserver
	public void statusUpdated(int newStatus) 
	{
		if (newStatus == HttpFilePoster.COMPLETED)
		{
    		Toast t = Toast.makeText(this,"Upload Complete",Toast.LENGTH_LONG);
    		t.show();			
		}
		else if (newStatus == HttpFilePoster.ERROR)
		{
    		Toast t = Toast.makeText(this,"Upload Error " + poster.getServerResponse(),Toast.LENGTH_LONG);
    		t.show();			
			
		}
		else if (newStatus == HttpFilePoster.STARTED)
		{
    		Toast t = Toast.makeText(this,"Upload Started",Toast.LENGTH_LONG);
    		t.show();			
				
		}
	}
}
