package com.mobvcasting.camerameta;

import java.io.File;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.IOException;

import android.app.Activity;
import android.content.Intent;
import android.content.pm.ActivityInfo;
import android.os.Bundle;
import android.os.Environment;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.graphics.Bitmap.CompressFormat;
import android.hardware.Camera;

public class CameraMeta extends Activity implements OnClickListener, Camera.PictureCallback {

	CameraView cameraView;
	
    @Override
    public void onCreate(Bundle savedInstanceState) 
    {
        super.onCreate(savedInstanceState);
        setRequestedOrientation(ActivityInfo.SCREEN_ORIENTATION_LANDSCAPE); 

        setContentView(R.layout.main);
               
        Button pictureButton = (Button) this.findViewById(R.id.Button01);
        pictureButton.setOnClickListener(this);
        
        cameraView = (CameraView) this.findViewById(R.id.CameraView01);

    }
    
    // From the OnClickListener
    public void onClick(View v)
    {
    	cameraView.takePicture(null, null, this);
    }
    
    // From the Camera.PictureCallback
    public void onPictureTaken(byte[] data, Camera camera)
    {
    	// Save the Image
		Bitmap bmp = BitmapFactory.decodeByteArray(data, 0, data.length);		
		
		String filename = "apicture.jpg";
        File pictureFile = new File(Environment.getExternalStorageDirectory().getAbsolutePath() + "/" + filename);
        try 
        {
			FileOutputStream pfos = new FileOutputStream(pictureFile);
        	bmp.compress(CompressFormat.JPEG, 75, pfos);

        	pfos.flush();
        	pfos.close();
		} 
        catch (FileNotFoundException e) 
		{
			e.printStackTrace();
		} 
        catch (IOException e) 
        {	
			e.printStackTrace();
		}
        
        // Create Intent Go to Next Screen
        Intent mIntent = new Intent(this,AddDataAndSend.class); 

        // Send through image file name
        Bundle bundle = new Bundle(); 
        bundle.putString("picture_filename", filename); 
        mIntent.putExtras(bundle); 

        // Go to the next screen..
        startActivity(mIntent);
    }
}
